/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @Title: OrderSourceType
 * @Package cn.freemud.enums
 * @Description:
 * @author: liming.guo
 * @date: 2018/6/1 21:40
 * @version V1.0
 * @Copyright: 2018 www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */
package com.freemud.sdk.api.assortment.order.enums;

public enum OrderSourceType {

    BDWM("bdwm", "百度外卖"),

    JDWM("jdwm", "京东到家"),

    MTWM("mtwm", "美团外卖"),

    SDG("sdg", "闪电购"),

    ELEME("eleme", "饿了么外卖"),

    FMWD("fmwd", "非码微店"),

    MALL("mall", "非码Mall"),

    SAAS("saas", "saas 点餐"),

    POS("pos_order", "线下 POS"),

    MEAL("meal", "i围餐");

    private String code;

    private String desc;

    OrderSourceType(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
